JettyRun (Gradle API 2.14.1)

org.gradle.api.plugins.jetty

## Class JettyRun

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.plugins.jetty.AbstractJettyRunTask
        - - org.gradle.api.plugins.jetty.JettyRun

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      public class JettyRun
      extends AbstractJettyRunTask

  Deploys an exploded web application to an embedded Jetty web container. Does not require that the web application be assembled into a war, saving time during the development cycle.

  Once started, the web container can be configured to run continuously, scanning for changes in the project and automatically performing a hot redeploy when necessary. This allows the developer to concentrate on coding changes to the project using their IDE of choice and have those changes immediately and transparently reflected in the running web container, eliminating development time that is wasted on rebuilding, reassembling and redeploying.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.api.plugins.jetty.AbstractJettyRunTask

      `consoleScanner, PORT_SYSPROPERTY, reload, scannerListeners`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettyRun()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyJettyXml()`
    `void` | `configureScanner()`
    `void` | `configureWebApplication()` Subclasses should invoke this to setup basic info on the webapp.
    `org.gradle.api.plugins.jetty.internal.JettyPluginServer` | `createServer()` create a proxy that wraps a particular jetty version Server object.
    `void` | `finishConfigurationBeforeStart()`
    `FileCollection` | `getClasspath()` Returns the classpath for the web application.
    `List<File>` | `getClassPathFiles()`
    `org.mortbay.jetty.handler.ContextHandler[]` | `getConfiguredContextHandlers()`
    `Set<File>` | `getExtraScanTargets()`
    `File` | `getJettyEnvXml()`
    `File` | `getJettyEnvXmlFile()`
    `ScanTargetPattern[]` | `getScanTargetPatterns()`
    `File[]` | `getScanTargets()`
    `File` | `getWebAppSourceDirectory()` Returns the directory containing the web application source files.
    `File` | `getWebXml()` Returns the `web.xml` file to use.
    `void` | `restartWebApp(boolean reconfigureScanner)`
    `void` | `setClasspath(FileCollection classpath)` Set the classpath for the web application.
    `void` | `setClassPathFiles(List<File> classPathFiles)`
    `void` | `setContextHandlers(org.mortbay.jetty.handler.ContextHandler[] contextHandlers)`
    `void` | `setExtraScanTargets(Iterable<File> extraScanTargets)`
    `void` | `setJettyEnvXml(File jettyEnvXml)`
    `void` | `setJettyEnvXmlFile(File jettyEnvXmlFile)`
    `void` | `setScanTargetPatterns(ScanTargetPattern[] scanTargetPatterns)`
    `void` | `setScanTargets(File[] scanTargets)`
    `void` | `setWebAppSourceDirectory(File webAppSourceDirectory)`
    `void` | `setWebXml(File webXml)`
    `void` | `validateConfiguration()`

    - ### Methods inherited from class org.gradle.api.plugins.jetty.AbstractJettyRunTask

      `findJettyWebXmlFile, getAdditionalRuntimeJars, getConnectors, getContextPath, getHttpPort, getJettyConfig, getOverrideWebXml, getReload, getRequestLog, getScanIntervalSeconds, getScanner, getScannerListeners, getServer, getStopKey, getStopPort, getUserRealms, getWebAppConfig, getWebDefaultXml, isDaemon, setAdditionalRuntimeJars, setConnectors, setContextPath, setDaemon, setHttpPort, setJettyConfig, setOverrideWebXml, setReload, setRequestLog, setScanIntervalSeconds, setScannerListeners, setServer, setStopKey, setStopPort, setUserRealms, setWebAppConfig, setWebDefaultXml, start, startConsoleScanner, startJetty, startJettyInternal`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setName, setOnlyIf, setOnlyIf, setProject, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JettyRun

          public JettyRun()

  - ### Method Detail

    - #### validateConfiguration

          public void validateConfiguration()

      Specified by:
        `validateConfiguration` in class `AbstractJettyRunTask`

    - #### configureWebApplication

          public void configureWebApplication()
                                       throws Exception

      Description copied from class: `AbstractJettyRunTask`
      Subclasses should invoke this to setup basic info on the webapp.
      Overrides:
        `configureWebApplication` in class `AbstractJettyRunTask`
      Throws:
        `Exception`

    - #### configureScanner

          public void configureScanner()

      Specified by:
        `configureScanner` in class `AbstractJettyRunTask`

    - #### restartWebApp

          public void restartWebApp(boolean reconfigureScanner)
                             throws Exception

      Specified by:
        `restartWebApp` in class `AbstractJettyRunTask`
      Throws:
        `Exception`

    - #### finishConfigurationBeforeStart

          public void finishConfigurationBeforeStart()
                                              throws Exception

      Specified by:
        `finishConfigurationBeforeStart` in class `AbstractJettyRunTask`
      Throws:
        `Exception`

    - #### applyJettyXml

          public void applyJettyXml()
                             throws Exception

      Specified by:
        `applyJettyXml` in class `AbstractJettyRunTask`
      Throws:
        `Exception`

    - #### createServer

          public org.gradle.api.plugins.jetty.internal.JettyPluginServer createServer()

      Description copied from class: `AbstractJettyRunTask`
      create a proxy that wraps a particular jetty version Server object.
      Specified by:
        `createServer` in class `AbstractJettyRunTask`
      Returns:
        The Jetty Plugin Server

    - #### getJettyEnvXml

          @InputFile
          @Optional
          public File getJettyEnvXml()

    - #### setJettyEnvXml

          public void setJettyEnvXml(File jettyEnvXml)

    - #### getWebXml

          public File getWebXml()

      Returns the `web.xml` file to use. When `null`, no `web.xml` file is used.

    - #### setWebXml

          public void setWebXml(File webXml)

    - #### getWebAppSourceDirectory

          @InputDirectory
          public File getWebAppSourceDirectory()

      Returns the directory containing the web application source files.

    - #### setWebAppSourceDirectory

          public void setWebAppSourceDirectory(File webAppSourceDirectory)

    - #### getScanTargets

          public File[] getScanTargets()

    - #### setScanTargets

          public void setScanTargets(File[] scanTargets)

    - #### getExtraScanTargets

          public Set<File> getExtraScanTargets()

    - #### setExtraScanTargets

          public void setExtraScanTargets(Iterable<File> extraScanTargets)

    - #### getJettyEnvXmlFile

          @InputFile
          @Optional
          public File getJettyEnvXmlFile()

    - #### setJettyEnvXmlFile

          public void setJettyEnvXmlFile(File jettyEnvXmlFile)

    - #### getClassPathFiles

          public List<File> getClassPathFiles()

    - #### setClassPathFiles

          public void setClassPathFiles(List<File> classPathFiles)

    - #### getScanTargetPatterns

          public ScanTargetPattern[] getScanTargetPatterns()

    - #### setScanTargetPatterns

          public void setScanTargetPatterns(ScanTargetPattern[] scanTargetPatterns)

    - #### getConfiguredContextHandlers

          public org.mortbay.jetty.handler.ContextHandler[] getConfiguredContextHandlers()

    - #### setContextHandlers

          public void setContextHandlers(org.mortbay.jetty.handler.ContextHandler[] contextHandlers)

    - #### getClasspath

          @InputFiles
          public FileCollection getClasspath()

      Returns the classpath for the web application.

    - #### setClasspath

          public void setClasspath(FileCollection classpath)

      Set the classpath for the web application.